# Update a webhook endpoint

**PATCH** `/webhook-endpoints/{webhook_endpoint_id}`

Update a webhook endpoint by its ID.

### Path Parameters

- `webhook_endpoint_id` `string` _(required)_ — Unique identifier for the webhook endpoint.

### Body Parameters

- `description` `string` — A description for this webhook endpoint.
- `enabled_events` `array of strings` — A list of events and event types which will be sent to this webhook's URL.
- `is_disabled` `boolean` — Set to `true` to disable this webhook endpoint from receiving events.
- `url` `string` — The HTTPS URL that webhooks will be delivered to.

**Request**

```shell
curl 'https://api.column.com/webhook-endpoints/<webhook_id>' \
  -XPATCH \
  -u :<YOUR API KEY> \
  -d "enabled_events[]"="ach.*" \
  -d url="https://newsdocs.column.com"
```

**Response 200**

```json
{
  "id": "",
  "created_at": "2021-11-29T21:38:16.031Z",
  "updated_at": "2021-11-29T21:38:16.031Z",
  "description": "",
  "enabled_events": [
    "string"
  ],
  "secret": "",
  "is_disabled": true,
  "url": ""
}
```
